<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Peminjaman Sapras</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-4">
                                    <a th:href="@{/request/peminjamanSapras/listRuangan}" class="btn btn-secondary btn-block">Peminjaman Ruangan</a>
                                </div>
                                <div class="col-md-4">
                                    <a th:href="@{/request/peminjamanSapras/listKendaraan}" class="btn btn-secondary btn-block">Peminjaman Kendaraan</a>
                                </div>
                                <div class="col-md-4">
                                    <a th:href="@{/assetLoan/list}" class="btn btn-primary btn-block">Peminjaman Barang</a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="card">
                                        <div class="card-header">
                                            <h4>Data List</h4>
                                            <div class="card-header-action">
                                                <a th:href="@{/assetLoan/form}" class="btn btn-info btn-sm">Form Pengajuan Peminjaman Barang</a>
                                            </div>
                                        </div>
                                        <div class="card-body">
                                            <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success != null}">
                                                <strong><i class="fa fa-check-circle"></i> Berhasil Diajukan</strong>
                                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="alert alert-danger alert-dismissible fade show" role="alert" th:if="${delete != null}">
                                                <strong>Pengajuan berhasil dibatalakan</strong>
                                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="table-responsive">
                                                <table class="table table-striped">
                                                    <thead class="table-light">
                                                    <tr>
                                                        <th>#</th>
                                                        <th>Aset</th>
                                                        <th>Tanggal Mulai Peminjaman</th>
                                                        <th>Tanggal Berakhir Peminjaman</th>
                                                        <th>Keterangan</th>
                                                        <th></th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr th:each="data, row:${listData}">
                                                        <td th:text="${(row.index + 1)}"></td>
                                                        <td th:text="${data.aset.namaAset}"></td>
                                                        <td th:text="${data.tanggalMulaiPeminjaman}"></td>
                                                        <td th:text="${data.tanggalBerakhirPeminjaman}"></td>
                                                        <td th:text="${data.keterangan}"></td>
                                                        <td th:if="${data.statusPeminjaman == 'WAITING'}">
                                                            <button type="button" th:if="${data.statusPeminjaman == 'WAITING'}" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#approvalKendaraan' + data.id}">
                                                                WAITING
                                                            </button>

                                                            <button type="button" th:if="${data.statusPeminjaman == 'APPROVED'}" class="btn btn-success btn-sm" data-toggle="modal" th:data-target="${'#approvalKendaraan' + data.id}">
                                                                APPROVED
                                                            </button>

                                                            <div class="modal fade bd-example-modal-lg" th:id="${'approvalKendaraan' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
                                                                <div class="modal-dialog modal-lg" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h5 class="modal-title" id="">List Approval</h5>
                                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                <span aria-hidden="true">&times;</span>
                                                                            </button>
                                                                        </div>
                                                                        <div class="modal-body">
                                                                            <div class="table-responsive">
                                                                                <table class="table table-striped">
                                                                                    <thead>
                                                                                    <tr>
                                                                                        <th>#</th>
                                                                                        <th>Approval</th>
                                                                                        <th>Jabatan</th>
                                                                                        <th>Status</th>
                                                                                        <th>Tanggal Approval</th>
                                                                                    </tr>
                                                                                    </thead>
                                                                                    <tbody>
                                                                                    <tr th:each="dataApproval, row:${listApproval}">
                                                                                        <td th:if="${data.id == dataApproval[0]}" th:text="${(row.index + 1)}"></td>
                                                                                        <td th:if="${data.id == dataApproval[0]}" th:text="${dataApproval[1]}"></td>
                                                                                        <td th:if="${data.id == dataApproval[0]}" th:text="${dataApproval[2]}"></td>
                                                                                        <td th:if="${data.id == dataApproval[0]}" th:text="${dataApproval[3]}"></td>
                                                                                        <td th:if="${data.id == dataApproval[0]}" th:text="${dataApproval[4]}"></td>
                                                                                    </tr>
                                                                                    </tbody>
                                                                                </table>
                                                                            </div>
                                                                        </div>
                                                                        <div class="modal-footer">
                                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <button class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#modal' + data.id}">Cancel</button>

                                                            <div class="modal fade" th:id="${'modal' + data.id}" tabindex="-1" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                <div class="modal-dialog" role="document">
                                                                    <form th:action="@{/assetLoan/batal(peminjamanAset = ${data.id})}" method="post">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h5 class="modal-title" id="exampleModalLabel">Info !!!</h5>
                                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                Apakah anda ingin membatalkan peminjaman aset <span th:text="${data.aset.namaAset}"></span> ?
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                                                                                <button type="submit" class="btn btn-danger">Hapus</button>
                                                                            </div>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td th:if="${data.statusPeminjaman == 'APPROVED'}">
                                                            <button class="btn btn-success btn-sm">APPROVED</button>
                                                            <button th:if="${data.statusPeminjaman == 'APPROVED' && data.statusPembayaran == 'SUDAH_DIBAYAR'}" class="btn btn-success">SUDAH DIBAYAR</button>
                                                            <button th:if="${data.statusPeminjaman == 'APPROVED' && data.statusPembayaran == 'BELUM_DIBAYAR'}" class="btn btn-outline-success" data-toggle="modal" th:data-target="${'#modal1' + data.id}">
                                                                Upload Bukti Pembayaran
                                                            </button>
                                                            <div class="modal fade" th:id="${'modal1' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                <div class="modal-dialog" role="document">
                                                                    <form th:action="@{/external/upload}" method="post" enctype="multipart/form-data">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <div class="form-group">
                                                                                    <label>Upload Bukti Pembayaran</label>
                                                                                    <input type="hidden" name="id" th:value="${data.id}">
                                                                                    <input type="hidden" name="user" th:value="${data.user.id}">
                                                                                    <input type="hidden" name="aset" th:value="${data.aset.id}">
                                                                                    <input type="hidden" name="tanggalMulaiPeminjaman" th:value="${data.tanggalMulaiPeminjaman}">
                                                                                    <input type="hidden" name="tanggalBerakhirPeminjaman" th:value="${data.tanggalBerakhirPeminjaman}">
                                                                                    <input type="hidden" name="hari" th:value="${data.hari}">
                                                                                    <input type="hidden" name="keterangan" th:value="${data.keterangan}">
                                                                                    <input type="hidden" name="kegiatan" th:value="${data.kegiatan}">
                                                                                    <input type="hidden" name="status" th:value="${data.status}">
                                                                                    <input type="hidden" name="statusPeminjaman" th:value="${data.statusPeminjaman}">
                                                                                    <input type="hidden" name="organisasi" th:value="${data.organisasi}">
                                                                                    <input type="hidden" name="tagihan" th:value="${data.tagihan}">

                                                                                    <input type="file" name="file" class="form-control">
                                                                                </div>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                                <button type="submit" class="btn btn-primary">Save changes</button>
                                                                            </div>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </td>

                                                        <td th:if="${data.statusPeminjaman == 'REJECTED'}">
                                                            <button class="btn btn-danger btn-sm">REJECTED</button>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>